// 8052x2.h
// 
// register declarations for 8052x2 style processors
///////////////////////////////////////////////////////////////////////////////


/*-------------------------------------------------------------------------
   Written by: 
   Peter Seng (2004)
   
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!
-------------------------------------------------------------------------*/


#ifndef REG8052x2_H
#define REG8052x2_H

/* define 8052x2 style processors specific registers only */

/* CKCON */
sfr at 0x8F	CKCON; /* clock control register */ 

/* BIT definitions for bits that are not directly accessible */
/* CKCON bits */
#define X1	0x00 /* 12-clock mode (default) */
#define X2	0x01 /* 6-clock mode */

#endif
