// DemoC021n1_glob.h
// 
// globals
///////////////////////////////////////////////////////////////////////////////


/*-------------------------------------------------------------------------
   Written by: 
   Peter Seng (2005)
   
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   In other words, you are welcome to use, share and improve this program.
   You are forbidden to forbid anyone else to use, share and improve
   what you give them.   Help stamp out software-hoarding!
-------------------------------------------------------------------------*/


#ifndef GLOBALS_H
#define GLOBALS_H

volatile unsigned long DELAY; // Global delaytime

volatile idata unsigned char RXBuffer[BSIZE];   // Receivebuffer (BSIZE * 8 Bit)
volatile idata unsigned char TXBuffer[BSIZE];   // Transmitbuffer (BSIZE * 8 Bit)
volatile idata unsigned char RXB;               // Begin pointer for serial buffer
volatile idata unsigned char RXE;               // End pointer for serial buffer
volatile idata unsigned char TXCNT;             // TXBuffer counter
volatile idata unsigned char TXPOS;             // TXBuffer position
volatile idata unsigned char BUSY;              // TX-Interrupt-Busy-Flag

#endif
